%define base_name	kde-style
%define theme_name	activeheart
%define name		%{base_name}-%{theme_name}
%define version		1.2.1
%define release		2mdk
%define summary		Activeheart kstyle theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=11384
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		png-devel,jpeg-devel
BuildRequires:		qt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
Activeheart kstyle theme for KDE

The concept of this style is harmony of sharpness and softness.
And this style was created based on keramik.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde3/kstyle_%{theme_name}_config.la
%{_libdir}/kde3/kstyle_%{theme_name}_config.so
%{_libdir}/kde3/plugins/styles/%{theme_name}.la
%{_libdir}/kde3/plugins/styles/%{theme_name}.so
%{_datadir}/apps/kdisplay/color-schemes/ActiveHeart.kcsrc
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc

%changelog
* Sat Jul 17 2004 Michael Scherer <misc@mandrake.org> 1.2.1-2mdk 
- rebuild for new gcc

* Sun May 02 2004 Laurent Culioli <laurent@mandrake.org> 1.2.1-1mdk
- 1.2.1

* Wed Apr 21 2004 Laurent Culioli <laurent@mandrake.org> 1.1.8-0.a.1mdk
- 1.1.8a

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 1.1.7-1mdk
- new kstyle theme for kde

